Bug 5729 - Add coins information to the intranet
Summary: Add coins information to the intranet
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on: 5957 7073
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-10 01:14 UTC by Chris Cormack
Modified: 2013-12-05 19:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (8.37 KB, patch)
2011-02-10 01:23 UTC, Chris Cormack
Details | Diff | Splinter Review
proposed patch (4.28 KB, patch)
2011-09-09 10:00 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 5729 - Add CoinS to intranet (4.28 KB, patch)
2011-09-27 16:36 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 5729 - Add CoinS to intranet (4.32 KB, patch)
2011-12-15 00:49 UTC, Chris Cormack
Details | Diff | Splinter Review
Rebased/Passed QA patch (4.79 KB, patch)
2011-12-21 23:02 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-02-10 01:14:55 UTC

    
Comment 1 Chris Cormack 2011-02-10 01:23:03 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-02-17 19:07:06 UTC
Chris,

Does this mean that Zotero will work in the staff client? Is there anything else it can do? Just checking before I test to see what I'm looking for.

Nicole
Comment 3 Paul Poulain 2011-03-01 22:11:01 UTC
Nicole, yes it makes coinS work on staff interface
Comment 4 Nicole C. Engard 2011-03-03 23:59:18 UTC
I dont think this patch applied. I didn't see any change in the staff client and I got this when I tried to apply the patch:

Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 5729 : Add Coins support to intranet
Using index info to reconstruct a base tree...
<stdin>:65: trailing whitespace.
    {    #  
<stdin>:93: trailing whitespace.
    <!-- /TMPL_IF -->      
<stdin>:117: trailing whitespace.
        display: block;  
<stdin>:132: trailing whitespace.
    <!-- /TMPL_IF -->      
<stdin>:150: trailing whitespace.
                , entries/page : 
warning: squelched 3 whitespace errors
warning: 8 lines add whitespace errors.
Falling back to patching base and 3-way merge...
Auto-merging catalogue/MARCdetail.pl
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/MARCdetail.tmpl
nengard@debian:~/kohaclone$
Comment 5 Owen Leonard 2011-03-04 01:40:27 UTC
As long as git doesn't ask you to resolve a conflict and it doesn't tell you explicitly the patch failed then I think you can assume the patch was applied. Whether or not a patch does anything is another matter :)
Comment 6 Nicole C. Engard 2011-03-04 03:16:13 UTC
Okay then, I applied the patch and when I did a search I didn't see my usual Zotero icon in the address bar that indicates that CoinS is working.
Comment 7 MJ Ray (software.coop) 2011-03-06 12:09:53 UTC
This bug is mentioned in:
Bug 5729 : Add Coins support to intranet http://lists.koha-community.org/pipermail/koha-patches/2011-February/013811.html
Comment 8 Paul Poulain 2011-09-09 10:00:00 UTC Comment hidden (obsolete)
Comment 9 Frédéric Demians 2011-09-09 15:45:32 UTC
(In reply to comment #8)
> Created attachment 5379 [details] [review]
> proposed patch
> 
> New patch, completly rewritten :
> * all code not related to Adding CoinS has been removed
> * T::T compliant

There is syspref COinSinOPACResults controling if COinS tag is displayed
or not on OPAC search result page. This is a recent enhencement:

http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=5957

This has been added for efficiency reason. Shouldn't we use a similar
syspref for staff interface? or better: the function generating COinS
could be improved...
Comment 10 Paul Poulain 2011-09-27 16:36:08 UTC Comment hidden (obsolete)
Comment 11 Ian Walls 2011-10-20 20:13:04 UTC
Adding dependence on 7073, which changes the parameters required by GetCOinSBiblio from biblionumber to GetMarcBiblio-sourced $record
Comment 12 Paul Poulain 2011-10-24 11:38:12 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 13 Paul Poulain 2011-10-25 15:05:45 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 14 Chris Cormack 2011-12-15 00:49:24 UTC Comment hidden (obsolete)
Comment 15 Ian Walls 2011-12-21 23:02:40 UTC
Created attachment 6914 [details] [review]
Rebased/Passed QA patch

Passed QA patch, with reflection of the new GetCOinSBiblio interface (uses $record now, not $biblionumber, for increased efficiency on most pages).
Comment 16 Paul Poulain 2011-12-27 17:37:48 UTC
patch pushed, please test